
package com.amadeus.travelManagement.amadeus.xml._2010._06.travel_orderchangerq_v1;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * &lt;p&gt;Java class for PolicyTypeSimpleType.
 * 
 * &lt;p&gt;The following schema fragment specifies the expected content contained within this class.
 * &lt;pre&gt;
 * &amp;lt;simpleType name="PolicyTypeSimpleType"&amp;gt;
 *   &amp;lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&amp;gt;
 *     &amp;lt;enumeration value="Privacy_PII"/&amp;gt;
 *     &amp;lt;enumeration value="Payment_PCI"/&amp;gt;
 *     &amp;lt;enumeration value="Credentialing"/&amp;gt;
 *   &amp;lt;/restriction&amp;gt;
 * &amp;lt;/simpleType&amp;gt;
 * &lt;/pre&gt;
 * 
 */
@XmlType(name = "PolicyTypeSimpleType")
@XmlEnum
public enum PolicyTypeSimpleType {


    /**
     * Personnally Identifting Information Privacy Policy.
     * 
     */
    @XmlEnumValue("Privacy_PII")
    PRIVACY_PII("Privacy_PII"),
    @XmlEnumValue("Payment_PCI")
    PAYMENT_PCI("Payment_PCI"),
    @XmlEnumValue("Credentialing")
    CREDENTIALING("Credentialing");
    private final String value;

    PolicyTypeSimpleType(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static PolicyTypeSimpleType fromValue(String v) {
        for (PolicyTypeSimpleType c: PolicyTypeSimpleType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
